package com.ss.android.ugc.aweme.setting.services;

import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.Set;

public interface IVideoGiftService {
    static {
        Covode.recordClassIndex(106260);
    }

    String LIZ();

    void LIZ(Set<String> set);

    void LIZ(boolean z);

    boolean LIZ(Aweme aweme);

    Set<String> LIZIZ();

    boolean LIZJ();

    void LIZLLL();

    boolean LJ();

    void LJFF();

    boolean LJI();

    void LJII();

    void LJIIIIZZ();

    boolean LJIIIZ();
}
